/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.s4s.dao;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.s4s.modell.dto.User;
import org.s4s.services.db.JDBCConnection;

/**
 *
 * @author Benjamin
 */
public class ShopDAO {
    public static ShopDAO dao = null;
    private final Statement statement = JDBCConnection.getInstance().getStatement();
    private ShopDAO() {
        
    }

    public static ShopDAO getInstance() {
        if (dao == null) {
            dao = new ShopDAO();
        }
        return dao;
    }
    
    //Shop anhand von User/Besitzer auslesen
    public boolean viewShop (User user) {
        boolean result = true;
        try {
            ResultSet set = statement.executeQuery("SELECT *"
                        + "FROM ERR.shop"
                        + "WHERE besitzer = \'" + user.getBenutzername() + "\'");

            if (set != null) {
                result = false;
            }
        } catch (SQLException ex) {
            Logger.getLogger(ShopDAO.class.getName()).log(Level.SEVERE, null, ex);
        }
        return result;
    }
    
    public boolean addShop (User user, String shopName, String shopDescription) {
        //Shop via Benutzername anlegen da dieser idR eindeutig ist
        try {
            // vorausgesetzt ID wird automatisch gesetzt von der DB
            statement.execute("INSERT INTO ERR.shop (name, besitzer, beschreibung) VALUES (" 
                    + shopName + "," 
                    + user.getBenutzername() + "," 
                    + shopDescription + ");");
            return true;
        } catch (SQLException ex) {
            Logger.getLogger(ShopDAO.class.getName()).log(Level.SEVERE, null, ex);
            return false;
        }
        
    }
}
