/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.s4s.dao.impl;

import java.sql.*;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import org.apache.commons.validator.routines.EmailValidator;


/**
 *
 * @author Simon
 */
public class RegistrationControl {
    //User-Block
    private static String surname;
    private static String firstname;
    private static String email;
    private static String password;
    
    //DB-Block
    Connection con;
    Statement st;
    ResultSet rs;
    String sql_update;
    String url;
    
    
    public static boolean init(String[] data) {
        surname = data[0];
        firstname = data[1];
        email = data[2];
        password = data[4];
        
        
        if (!nameValidator(surname)) {
            return false;
        }
        if (!nameValidator(firstname)) {
            return false;
        }
        if (!emailValidator()) {
            return false;
        } if (!passwordValidator()) {
            return false;
        }
        return true;
        
    }
    
    
    public void addUser() {
        try {
            con = DriverManager.getConnection(url);
            st = con.createStatement();
            
            //wie wird die UserID vergeben?
            //benutzername soll was sein? Vorname und Nachname?
            //fachbereich muss noch in View hinzugefügt werden
            //adresse am besten in der DB in User hinterlegen
            sql_update = "INSERT INTO \"ERR\".\"user\"()"
                        + ""; //erweitern
            st.executeUpdate(sql_update);
            
        } catch (Exception ex) {
            ex.printStackTrace();
            System.out.println("Exception occur: " + ex);
        }
        
    }
    
    public static boolean nameValidator(String toValidate) {
       //wenn Eingabe falsch -> Notification
       
       for (int i = 0; i < toValidate.length(); ++i) {
           if (!Character.isLetter(toValidate.charAt(i))) {
               return false;
           }
       }
       return true;
    }
    
    public static boolean emailValidator() {
        return EmailValidator.getInstance().isValid(email);
    }
    
    public static boolean passwordValidator() {
        String regex = "^.*(?=.{8,})(?=..*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[!@#$%^&+=]).*$";
        Pattern p = Pattern.compile(regex);
        Matcher m = p.matcher(password);
        return m.matches();
    }
    
}
