/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.s4s.gui.views;

import com.vaadin.navigator.View;
import com.vaadin.navigator.ViewChangeListener;
import com.vaadin.server.FontAwesome;
import com.vaadin.shared.ui.label.ContentMode;
import com.vaadin.ui.Button;
import com.vaadin.ui.DateField;
import com.vaadin.ui.FormLayout;
import com.vaadin.ui.HorizontalLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.NativeSelect;
import com.vaadin.ui.Panel;
import com.vaadin.ui.PasswordField;
import com.vaadin.ui.TextField;
import com.vaadin.ui.UI;
import java.util.Date;
import org.s4s.dao.impl.RegistrationControl;
import org.s4s.services.util.Views;


/**
 *
 * @author JanPhilipp
 */
public class RegistrierungView extends TemplateView implements View {
 
//    RegistrierungControl regControl;
//    VerticalLayout layout; 
    
    @Override
    public void enter(ViewChangeListener.ViewChangeEvent event) {
        this.setUp();
    }


    private void setUp() {
        

         Panel panel = new Panel("Registrierung");
         panel.setSizeUndefined();
         
            FormLayout content = new FormLayout();
            
                TextField benutzername = new TextField("Benutzername");
                content.addComponent(benutzername);
                
                DateField bday = new DateField("Geburtstag");
                content.addComponent(bday);

                TextField nachnameTxt = new TextField("Nachname:");
                nachnameTxt.setIcon(FontAwesome.USER);
                content.addComponent(nachnameTxt);

 
                TextField vornameTxt = new TextField("Vorname:");
                vornameTxt.setIcon(FontAwesome.ANDROID);
                content.addComponent(vornameTxt);
                
                
                NativeSelect fachbereich = new NativeSelect("Fachbereich");
                fachbereich.addItems("Student", "Hivi", "Prof");
                fachbereich.setNullSelectionAllowed(false);
                content.addComponent(fachbereich);

                

                TextField emailTxt = new TextField("E-Mail:");
                emailTxt.setIcon(FontAwesome.MAIL_FORWARD);
                content.addComponent(emailTxt);
                
                TextField emailTxtWdh = new TextField("E-Mail wiederholen:");
                emailTxtWdh.setIcon(FontAwesome.MAIL_FORWARD);
                content.addComponent(emailTxtWdh);

                PasswordField passwortTxt = new PasswordField("Passwort:");
                passwortTxt.setIcon(FontAwesome.KEY);
                content.addComponent(passwortTxt);

                PasswordField passwortTxtWdh = new PasswordField("Passwort wiederholen:");
                passwortTxtWdh.setIcon(FontAwesome.KEY);
                content.addComponent(passwortTxtWdh);
                
                

                HorizontalLayout buttons = new HorizontalLayout();
                Button abbruch = new Button("Abbruch");
                abbruch.setIcon(FontAwesome.STOP_CIRCLE);
                buttons.addComponent(abbruch);
                buttons.addComponent(new Label("&nbsp", ContentMode.HTML));
                Button bestätigen = new Button("Bestätigen");
                bestätigen.setIcon(FontAwesome.CHECK);
                buttons.addComponent(bestätigen);

                content.addComponent(buttons);
//            content.setSizeUndefined();
            content.setMargin(true);

       panel.setContent(content);
       //this.addComponent(panel);
       //this.setComponentAlignment(panel, Alignment.MIDDLE_CENTER);
     
       

        bestätigen.addClickListener( e -> {
             String benutzer = benutzername.getValue();
             String nachname = nachnameTxt.getValue();
             String vorname = vornameTxt.getValue();
             Date gebDate = bday.getValue();
             String fBereich = (String) fachbereich.getValue();
             String email = emailTxt.getValue();
             String emailwdh = emailTxtWdh.getValue();
             String passwort = passwortTxt.getValue();
             String passwortWdh = passwortTxtWdh.getValue();
             UI.getCurrent().getNavigator().navigateTo(Views.REGISTRIERUNGSBESTAETIGUNG);

             //Anbindungstestblock. svolle2s
             RegistrationControl.init(new String[]{nachname, vorname, email, emailwdh, passwort, passwortWdh, benutzer,}); // diverse Daten fehlen siehe bday fachbereich 
            
             System.out.println(benutzer);
             System.out.println(nachname);
             System.out.println(vorname);
             System.out.println(gebDate);
             System.out.println(email);
             System.out.println(emailwdh);
             System.out.println(passwort);
             System.out.println(passwortWdh);
             System.out.println(fBereich);
             
             // Weiterleitung auf Bestätigunsseite
             
        });
        abbruch.addClickListener(e -> {
            UI.getCurrent().getNavigator().navigateTo(Views.WELCOME);
        });
        
    super.setUpFooterAndHeader(panel);
    }
}
